package com.qmth.distributed.print.business.bean.dto.importFile;

import com.qmth.teachcloud.common.bean.examRule.CodeNameEnableDisabledValue;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class BasicExamStudentImport {

    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "开课学院")
    private String teachingRoomName;
    @ApiModelProperty(value = "教学班")
    private String teachClassName;
    @ApiModelProperty(value = "行政班")
    private String className;
    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;
    @ApiModelProperty(value = "姓名")
    private String studentName;
    @ApiModelProperty(value = "学号")
    private String studentCode;
    @ApiModelProperty(value = "座位号")
    private String siteNumber;
    @ApiModelProperty(value = "学院")
    private String collegeName;
    @ApiModelProperty(value = "专业")
    private String majorName;
    @ApiModelProperty(value = "任课教师")
    private String teacherName;
    @ApiModelProperty(value = "任课教师工号")
    private String teacherCode;
    @ApiModelProperty(value = "考试日期")
    private String examDate;
    @ApiModelProperty(value = "考试时间")
    private String examTime;
    @ApiModelProperty("考点(校区)")
    private String examPlace;
    @ApiModelProperty("考场(考试教室)")
    private String examRoom;
    @ApiModelProperty("必填字段集合")
    private List<CodeNameEnableDisabledValue> requiredFieldList = new ArrayList<>();
    @ApiModelProperty("扩展字段集合")
    private List<CodeNameEnableDisabledValue> extendFieldList = new ArrayList<>();
    @ApiModelProperty("错误信息")
    private String errorMsg;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public List<CodeNameEnableDisabledValue> getRequiredFieldList() {
        return requiredFieldList;
    }

    public void setRequiredFieldList(List<CodeNameEnableDisabledValue> requiredFieldList) {
        this.requiredFieldList = requiredFieldList;
    }

    public List<CodeNameEnableDisabledValue> getExtendFieldList() {
        return extendFieldList;
    }

    public void setExtendFieldList(List<CodeNameEnableDisabledValue> extendFieldList) {
        this.extendFieldList = extendFieldList;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
